Show / Hide Table of Contents

# Class PartyFinderListing

A single listing in party finder.

##### Inheritance

System.Object
PartyFinderListing

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.PartyFinder.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class PartyFinderListing

### Properties

| Improve this Doc View Source

#### BeginnersWelcome

Gets a value indicating whether if this listing is beginner-friendly. Shown with a sprout icon in-game.

##### Declaration

    public bool BeginnersWelcome { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Category

Gets the Party Finder category this listing is listed under.

##### Declaration

    public DutyCategory Category { get; }

##### Property Value

Type | Description
--- | ---
DutyCategory |

| Improve this Doc View Source

#### Conditions

Gets the conditions of this listing.

##### Declaration

    public ConditionFlags Conditions { get; }

##### Property Value

Type | Description
--- | ---
ConditionFlags |

| Improve this Doc View Source

#### ContentIdLower

Gets the lower bits of the player's content ID.

##### Declaration

    public uint ContentIdLower { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CurrentWorld

Gets the current world of the listing's host.

##### Declaration

    public Lazy<World> CurrentWorld { get; }

##### Property Value

Type | Description
--- | ---
System.Lazy<World> |

| Improve this Doc View Source

#### Description

Gets the description of this listing as set by the host. May be multiple lines.

##### Declaration

    public SeString Description { get; }

##### Property Value

Type | Description
--- | ---
SeString |

| Improve this Doc View Source

#### Duty

Gets the duty this listing is for. May be null for non-duty listings.

##### Declaration

    public Lazy<ContentFinderCondition> Duty { get; }

##### Property Value

Type | Description
--- | ---
System.Lazy<ContentFinderCondition> |

| Improve this Doc View Source

#### DutyFinderSettings

Gets the Duty Finder settings that will be used for this listing.

##### Declaration

    public DutyFinderSettingsFlags DutyFinderSettings { get; }

##### Property Value

Type | Description
--- | ---
DutyFinderSettingsFlags |

| Improve this Doc View Source

#### DutyType

Gets the type of duty this listing is for.

##### Declaration

    public DutyType DutyType { get; }

##### Property Value

Type | Description
--- | ---
DutyType |

| Improve this Doc View Source

#### HomeWorld

Gets the home world of the listing's host.

##### Declaration

    public Lazy<World> HomeWorld { get; }

##### Property Value

Type | Description
--- | ---
System.Lazy<World> |

| Improve this Doc View Source

#### Id

Gets the ID assigned to this listing by the game's server.

##### Declaration

    public uint Id { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Item[ConditionFlags]

Check if the given flag is present.

##### Declaration

    public bool this[ConditionFlags flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
ConditionFlags | flag | The flag to check for.

##### Property Value

Type | Description
--- | ---
System.Boolean | A value indicating whether the flag is present.

| Improve this Doc View Source

#### Item[DutyFinderSettingsFlags]

Check if the given flag is present.

##### Declaration

    public bool this[DutyFinderSettingsFlags flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
DutyFinderSettingsFlags | flag | The flag to check for.

##### Property Value

Type | Description
--- | ---
System.Boolean | A value indicating whether the flag is present.

| Improve this Doc View Source

#### Item[LootRuleFlags]

Check if the given flag is present.

##### Declaration

    public bool this[LootRuleFlags flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
LootRuleFlags | flag | The flag to check for.

##### Property Value

Type | Description
--- | ---
System.Boolean | A value indicating whether the flag is present.

| Improve this Doc View Source

#### Item[ObjectiveFlags]

Check if the given flag is present.

##### Declaration

    public bool this[ObjectiveFlags flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
ObjectiveFlags | flag | The flag to check for.

##### Property Value

Type | Description
--- | ---
System.Boolean | A value indicating whether the flag is present.

| Improve this Doc View Source

#### Item[SearchAreaFlags]

Check if the given flag is present.

##### Declaration

    public bool this[SearchAreaFlags flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
SearchAreaFlags | flag | The flag to check for.

##### Property Value

Type | Description
--- | ---
System.Boolean | A value indicating whether the flag is present.

| Improve this Doc View Source

#### JobsPresent

Gets a list of the classes/jobs that are currently present in the party.

##### Declaration

    public IReadOnlyCollection<Lazy<ClassJob>> JobsPresent { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<System.Lazy<ClassJob>> |

| Improve this Doc View Source

#### LastPatchHotfixTimestamp

Gets the time at which the server this listings is on last restarted for a patch/hotfix. Probably.

##### Declaration

    public uint LastPatchHotfixTimestamp { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### LootRules

Gets the loot rules that will be used for this listing.

##### Declaration

    public LootRuleFlags LootRules { get; }

##### Property Value

Type | Description
--- | ---
LootRuleFlags |

| Improve this Doc View Source

#### MinimumItemLevel

Gets the minimum item level required to join this listing.

##### Declaration

    public ushort MinimumItemLevel { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Name

Gets the name of the player hosting this listing.

##### Declaration

    public SeString Name { get; }

##### Property Value

Type | Description
--- | ---
SeString |

| Improve this Doc View Source

#### Objective

Gets the objective of this listing.

##### Declaration

    public ObjectiveFlags Objective { get; }

##### Property Value

Type | Description
--- | ---
ObjectiveFlags |

| Improve this Doc View Source

#### Parties

Gets the number of parties this listing is recruiting for.

##### Declaration

    public byte Parties { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### RawDuty

Gets the row ID of the duty this listing is for. May be 0 for non-duty listings.

##### Declaration

    public ushort RawDuty { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### RawJobsPresent

Gets a list of the class/job IDs that are currently present in the party.

##### Declaration

    public IReadOnlyCollection<byte> RawJobsPresent { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<System.Byte> |

| Improve this Doc View Source

#### SearchArea

Gets where this listing is searching. Note that this is also used for denoting alliance raid listings and one player per job.

##### Declaration

    public SearchAreaFlags SearchArea { get; }

##### Property Value

Type | Description
--- | ---
SearchAreaFlags |

| Improve this Doc View Source

#### SecondsRemaining

Gets how many seconds this listing will continue to be available for. It may end before this time if the party fills or the host ends it early.

##### Declaration

    public ushort SecondsRemaining { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Slots

Gets a list of player slots that the Party Finder is accepting.

##### Declaration

    public IReadOnlyCollection<PartyFinderSlot> Slots { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<PartyFinderSlot> |

| Improve this Doc View Source

#### SlotsAvailable

Gets the number of player slots this listing is recruiting for.

##### Declaration

    public byte SlotsAvailable { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### World

Gets the world that this listing was created on.

##### Declaration

    public Lazy<World> World { get; }

##### Property Value

Type | Description
--- | ---
System.Lazy<World> |